import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import { SongTableList } from './SongTableList';
import { songPlaylistItemMocks } from '../../data/mockups';

<Meta title="Data Display/SongTableList" component={SongTableList} />

# SongTableList
 
The basic layout for every route
    
<Preview>
  <Story name="default">
    <SongTableList items={songPlaylistItemMocks.samples(3)} />
  </Story>
  <Story name="editable">
    <SongTableList editable items={songPlaylistItemMocks.samples(3)} />
  </Story>
</Preview>